PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

March 3, 2011 // 7:19 pm - As expected, history repeats itself and today the inevitable happened with two new PS3 games (Dragon Age II and MLB 11 The Show) arriving that require version 3.56 PS3 Firmware, however, PlayStation 3 hackers have already began work on fixes using the familiar SFO/EBOOT modification methods.

Download: Dragon Age II PS3 Fix

To quote: "The first game, Dragon Age II, isn't due to hit retail shelves until March 8th, but hackers have managed to get their hands on an early leaked copy. After some experimentation, some people have reported success in getting the game to run on 3.55 with a simple modification to the version string in the PARAM.SFO along with a repackaged EBOOT.BIN.

Baseball fans will be disappointed to hear that the second game to require 3.56 is MLB 11 The Show. Like Dragon Age II, The Show isn't supposed to hit stores until March 8th. However, some users are reporting that certain stores have broken that street date and sold copies early. Little examination has taken place yet on MLB 11, so it is still unknown if the game can be modified to run on a 3.55 console."

From the ReadMe file:

1. Edit your Param.sfo to 3.5000 and replace it under /PS3_GAME/
2. Copy EP0177-BLUS30645_00-0000111122223333.pkg to USB Media
3. Install EP0177-BLUS30645_00-0000111122223333.pkg from "Install Package Files".
4. Boot game like normal, ENJOY!

PS. EDITED PARAM.SFO included if you don't know how to edit it.

New PS3 Games Arrive Requiring 3.56 Firmware, Fixes Surface

New PS3 Games Arrive Requiring 3.56 Firmware, Fixes Surface

New PS3 Games Arrive Requiring 3.56 Firmware, Fixes Surface

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.

#27 - H3avyRain - March 11, 2011 // 5:36 am
H3avyRain's Avatar
there are some 3.55 patches already for homefront, if anyone gets one that works please leave feedback.

#26 - modmate - March 11, 2011 // 4:34 am
modmate's Avatar
And now HOMEFRONT hits the scene , along with a patch for 3.41 which works fine. Just 3.55 users still wait for a working patch.

Greets Modmate

#25 - makere - March 10, 2011 // 8:34 am
makere's Avatar
Anyone got a Dragon Age 2 patch for the EUR version? Bought the game but can't play

#24 - S1eepy - March 7, 2011 // 7:38 am
S1eepy's Avatar
That what i do for all games. But DA2 seems to not like it. Tried different disks in, and different boot methods, (direct from MM, exiting to XMB, and select+x from MM) but no luck.

I asked MM to fake it for me when i first tried to load it (before checking here) do i need to undo that somehow before it will work?

#23 - spideygower - March 6, 2011 // 11:04 pm
spideygower's Avatar
does anyone have any help on MLB 11 the show? everytime I start it up it tells me to update to 3.55 , I must be doing something wrong, thanks.

#22 - TheSparky - March 6, 2011 // 10:05 am
TheSparky's Avatar
S1eepy make sure you have a game in your BD drive. Then open the game in MM, but don't start it immediately. When you get back to the XMB, select the disk and NOT the apps/home directory (or whatever it is called).

In other news, I can't seem to get any dialogue when playing DA2. It seems as though the DA2 is forcing 5.1 sound setup even though I'm only on a 2.0 setup? I know some people had this issue with DA:O, but I never read about a fix.

#21 - NTA - March 6, 2011 // 1:09 am
NTA's Avatar
lol reminds me of psp games, good times...

#20 - spideygower - March 6, 2011 // 12:35 am
spideygower's Avatar
Quote Originally Posted by SilvaVirus View Post
work perfect on JB 3.41 external..

MLB 11 or dragon age 2? How did you do that? I had no problem with dragon age 2 but MLB 11 had 2 files to split so i had to install to PS3 HD and I can't seem to get it to load in 3.41 JB. Any help would be appreciated.

#19 - S1eepy - March 5, 2011 // 6:07 pm
S1eepy's Avatar
I cant seem to get Dragon Age 2 to work using this method. I have 3.55 cfw. Using Multiman 01.16.06 I installed the pkg files, and modded the SFO file to 3.5000. Instead of getting the same error as before, the screen goes black (as if its about to start) then dumps me back to XMB after 5-7 seconds. Any ideas?

#18 - NTA - March 5, 2011 // 5:46 pm
NTA's Avatar
Quote Originally Posted by silverplanet View Post
Isn't forcing customers to update their firmware to play games offline illegal? Didn't Sony previously use the 'you don't have to update because you can give up all your online activities instead' defense in court, when they removed the other os feature?

they haven't been doing that for the psp for years?